commit 701d6a3e43c9270bf705f7d1e923401c1b7c0e06
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat May 7 22:34:39 2011 +0200

    Show toolbar and statusbar in fullscreen mode.

commit c32a7616d1d04965f3f9f896f317586650d77373
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat May 7 22:19:27 2011 +0200

    Include gpg-error dll for Windows.

commit 5c9d9fa8ce02ad2178ddc3dabd38584d84d60246
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat May 7 22:04:11 2011 +0200

    Update debian changelog

commit 83ed276f2715ea1cafcf6f1be6e935089086ef86
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat May 7 21:51:12 2011 +0200

    Finish keyboard grab stuff.

commit 06f20cea45fa9eeb1c4a93e230c46b8fe199db40
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu May 5 19:38:53 2011 +0200

    Updated NEWS.

commit 1a6aa96bda8c9308d2ff663cae0f1da17edd70d1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 14 15:50:02 2011 +0200

    Update TODO.

commit 7dadf90367b80fc11e65382570047a8ed6f0c20f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 14 14:55:57 2011 +0200

    Refactor toolbar handling. Hide keyboard grab button on unsupported OS.

commit 2f304802f4da56959c8e3dca0ee041e29eb22d46
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Apr 13 16:55:25 2011 +0200

    Keyboard grab button.

commit 3dcfd9219d08a2e2db0e31cac4cbaf0202dee6c8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 31 23:14:48 2011 +0200

    Add keyboard icon.

commit 261b6061e736061aa33399a8807a491c639995d7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 31 14:55:29 2011 +0200

    Fix testrect latency check method.

commit 1d8b248f0d3c1902d081a3a44e89a10628e67f07
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 23 18:28:11 2011 +0100

    fix typo.

commit f72155395825d93a5f056a5469869f2750f797c9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 23 18:04:58 2011 +0100

    Count uncompressed bytes in statistics as well.

commit 94ea9d2539138bbc1180770c1c199dfe5fa98e8a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 22 19:52:04 2011 +0100

    Fix false fallback when client joins an existing mcast group with high traffic.
    
    Only take action upon loss rate when the deques are at least half full.
    
    When a client joins a multicast group with heavy traffic going on, it will lose
    a lot of packets in the very beginning because there is a considerable time
    amount between it's multicast socket creation and the first read. Thus, the socket
    buffer is likely to overflow in this start situation, resulting in packet loss.

commit f6864246f04fb3726b0541ef48c3302e0da131d9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 21 16:18:50 2011 +0100

    Compute loss/NACK ratios using a moving average.
    
    This has advantages over taking a sample every N seconds: First, it's able to catch say a 5sec burst
    that could be missed by two adjacent 10sec samples (one catches 2sec, the next one 3sec - no action triggered
    although condition present). Second, this way we're able to show a value to the user every second independent
    of the sample time frame.

commit 661f0ca7d3a7544a967ff9f46531688d698f49e8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 18 18:27:01 2011 +0100

    Fix stats display in viewer window.

commit 64a8165ec119a6b690251269a60fa90f3cafcc1e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 18 17:54:34 2011 +0100

    Only act upon mcast loss rate upon each calculation, not everytime.

commit f836d0b52b898b3013ad7243e9b57a83d51c159a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 18 17:33:27 2011 +0100

    Use RFC-conformant CSV for stats.

commit 50c14114143d62f3e319e9be7d2fd5bcea393fbe
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 17 23:37:53 2011 +0100

    Save all stats in one file.
    
    Quite a reduction of LOC and also GUI clutter.

commit caef939d82e2d0417996c14d7f563dba0987d349
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 17 19:29:58 2011 +0100

    Import latest libvncclient.

commit 433c9dee76060ecb735a7dcecaa97d02ccd7b775
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 16 14:59:51 2011 +0100

    Update libvncclient: better error messages.

commit 365478bc11b6ad3232ddc1e314ce883caae5ce11
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 15 20:27:23 2011 +0100

    Fix typo.

commit fac54de9e53733788298ffbe05f3fa12d831e3aa
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 15 17:35:18 2011 +0100

    Fix socket recv buffer being set with wrong value.

commit d8855436744d91c0d91972cfe4b678b8d8795f10
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 15 15:24:49 2011 +0100

    Use simplified timeout, show message on multi->uni change.

commit 9f6e9d99b55edce98ac2d69c0e437cc956547bfb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 14 19:30:08 2011 +0100

    Calculate nack/loss ratio per received 1MByte.

commit 09d68c03b0e78f1a37cb0b6036b9efdf0b7b45a7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Mar 13 21:35:46 2011 +0100

    Add nack ratio auto saving.

commit f3b0e92fb2f950bca8d0f4fa2d75e44161e8f82c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Mar 13 21:14:57 2011 +0100

    Differentiate between just NACKed and really lost mcast packets.

commit 7dcbf95671b69e4e8cc02acefe21a2278b7617e7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Mar 13 16:05:40 2011 +0100

    Use cross-platform mutexes for libgcrypt.

commit b4a2113316f9ad3afb2ed60963154d900ce88dd3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Mar 13 15:00:27 2011 +0100

    Properly init pkg-config.

commit db6e35f667be9a75cb449c3078cce93c9486ab5a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Mar 13 14:04:18 2011 +0100

    Update libvncclient: new MulticastVNC message types were needed. TLS on win32.

commit abc08999956a7def383ceee15d0a2dd88ed7bc78
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Mar 12 18:44:50 2011 +0100

    Fix ARD support. Forgot the autoconf stuff.

commit 421a59e5b3aa782bc55296f783c4c5644661513e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 10 17:01:13 2011 +0100

    Update debian changelog.

commit 66c3620669727d77cafec1ded040b3f26152f1c2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 7 19:42:23 2011 +0100

    Show support for ARD in About dialog when available.

commit 7cdd7d4fe652da4fd2f91b4f43044766b45fb645
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 7 19:37:33 2011 +0100

    Get rid of this awkward argc,argv passing.

commit 30090f50b8a05c4b13b4962aef2c0e1535c3cd6d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 7 18:45:56 2011 +0100

    Fix a really strange bug where bogus time values would appear in stats.
    
    Strangely enough only happened in the stats timer function under Win32.

commit 953954f5e1ea951527d5bdf830c5a043568cdbbd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 7 11:25:55 2011 +0100

    Make VNCCanvas private, ViewerWindow is the only public interface.

commit 5f4e9a34f8c8d87432498ec5d730d7bd862d63f1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 4 15:49:58 2011 +0100

    Only draw updated area every 30ms.
    
    This way the drawing engine can not be overwhelmed by a fast server
    sending lots of small updates.

commit 7530307a76c5ce4792e441ed262bfcce1ae528bd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 4 14:45:13 2011 +0100

    Add a getFramebufferRegion() that directly writes into provided wxBitmap.
    
    Also added getFramebufferDepth().

commit cdc4187a3e07373b9ea835200bb96ffeae2c13ce
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 3 20:17:39 2011 +0100

    Update to latest libvncclient.

commit bafa5562847405706bfb5e5a248592941bcb6631
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 3 20:15:08 2011 +0100

    Update TODO.

commit 76e823653eb3411c5d3218c463be605867fd7188
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 3 19:21:12 2011 +0100

    Work around an issue in libvncclient wrt non blocking sockets.

commit 54a0faf2bb1a8ae491256267b69902e33aa80867
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 3 16:37:53 2011 +0100

    Add small hint to TODO.

commit 02526abcf1fae5eef88dc6b94387f0468946190c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 1 16:43:15 2011 +0100

    Build with -O2 instead of -O3. Safer default.

commit c7f73d3c6f4bfcc07de0824a293305b8dfe3b42b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 1 16:32:29 2011 +0100

    Send latency probes from the worker thread.
    
    Before, they were sent from the main thread, potentially causing
    havoc with the worker thread as both write the socket.

commit aaa4a82ce10c251c80bc54b9f3bb9794c3f170f7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 28 22:50:24 2011 +0100

    Autosave stats not only on close, but on disconnect as well.

commit 8dfd594584bdbbcc606350155d289afb3b59c500
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 28 21:23:07 2011 +0100

    Stutter on win32 seems to be caused by xvp. No fix though...

commit 4a212f8c7fad314a9a8520f74f347194c0a8817d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 28 19:38:06 2011 +0100

    Reset _all_ stats on stat reset.

commit a6fcbf9fd87b5eddf950adfc6549964110eec334
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 28 18:43:08 2011 +0100

    Sketch out new drawing model.

commit dda0e05023e398318321982b8ad075e17f640e4a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 27 18:57:09 2011 +0100

    Rework the canvas container to a more sane state that also works on win32.

commit 39b18027edf91c316beb7d7c5c4feafb1c71dfd7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 26 22:18:04 2011 +0100

    Fix bug accidently introduced with 7f7616f26a123eab6eb15902d7f4ae24553fdad2.

commit 79bb2ba39456f43d7cbe40978a33cd1937b0ab38
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 26 22:07:34 2011 +0100

    Sanity check previous sanity check.

commit 48f97a85f661a7ca66cb21f38388335176c145b0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 26 21:36:02 2011 +0100

    Add some sanity checks to VNCConn::getFrameBufferRegion().

commit 11f4f854cb0b785a17995b00b1d7d66773332064
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 26 20:12:22 2011 +0100

    Add clarifying comment about VNCConn::getFrameBufferRegion().

commit 7f7616f26a123eab6eb15902d7f4ae24553fdad2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 26 18:03:06 2011 +0100

    Update TODO.

commit 46cbcf90175cb93f49df142b65573237305feffe
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 24 18:28:37 2011 +0100

    Update NEWS.

commit 63b21b90dd6798d74f263407bee20c68e39fe8c7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 24 18:23:30 2011 +0100

    Greatly simplify address/name handling.
    
    Just have a serverhost that can be both. Too cumbersome to have
    name AND address since it's not a 1 to 1 mapping.

commit 19b382caad1adac836d069d16958c0c610f92eee
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 17:51:15 2011 +0100

    Uncheck disabled encoding checkboxes.

commit daf89bc293b7c5120a6c9f3fad7d25f942bf562e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 17:41:24 2011 +0100

    Aethetic fix.

commit c57ff2eaa049c54f8b79da8b6f3c17eac16c692f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 17:39:00 2011 +0100

    Update copyright.

commit 0e48702d345389f90713f0e57523e8171cb7c994
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 17:29:20 2011 +0100

    Show wxWidgets version in About dialog.

commit eace657097d4d1c62380349cb8dc85cd11ebf310
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 17:10:21 2011 +0100

    Only show supported encodings in preferences.

commit 4bbc2527b495256501ed4d0b6a36f15ddc2a2bd6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 16:49:17 2011 +0100

    Fix Ctrl-C abort for win32  build.

commit eb8b16099a2086cb7c3821d3dce0688be6385a99
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 23 15:49:51 2011 +0100

    Really really bail out after 3 SIGINTs.

commit e570eda58811e00046860d0e8d14e67583cc9fbc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 22 21:23:01 2011 +0100

    Remove workaround of wxIPV4Address addr resolving on win32.
    
    Works now with wxWidgets 2.8.11.

commit d529c755e160db53346a31c1ba6fe1501147ae21
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 22 17:39:27 2011 +0100

    Raise seamless connector more often.

commit c53c9208900417fc734690bca6feacb79f4a76e0
Merge: 2d435b7 3766c2e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 22 17:26:38 2011 +0100

    Merge branch 'master' of ssh://multivnc.git.sourceforge.net/gitroot/multivnc/multivnc

commit 2d435b78b7d6bbbb6f3832a9ddafe12b0e9521fd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 22 17:25:26 2011 +0100

    Remove pointer latency stats. They were unreliable.

commit 212ebb5385586b3e85e8f4f6f5c4d8cbcb748218
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 22 14:01:19 2011 +0100

    Hard exit on 3 SIGINTs.

commit 3766c2e3c1c504ece69d85458768a7a8a2282aa2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 16 19:21:59 2011 +0100

    Update debian changelog.

commit 560af49a933853fe4a018029def5e5e9d10c5a44
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 21:47:49 2011 +0100

    Add a listen button to toolbar.

commit 5a439aa0a7f870b94fad86ed133f8d61012e8373
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 21:22:03 2011 +0100

    Fix warning during reverse connection.

commit 95758b43f4ca83349cf415a2c737bb0182d7d2fd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 21:00:34 2011 +0100

    More robust bookmarking.

commit 89d9b474648ee8831989e25d5ae4005b9eef578a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 18:53:01 2011 +0100

    VNCConn: Fix statistics calculation for multicast.

commit bc04cbce1322a5ecf6c5cfdbb8764ac769dc1731
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 18:28:09 2011 +0100

    Properly hide multicast stats when unicasting.

commit 4e4bdf5be1feb9fbd5d3ef61af243f20461ae68f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 17:57:18 2011 +0100

    Use higher limits for fallback mechanism.

commit d82d0c40ff4d534dbfa4d98bb5b33a30b8b794eb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 9 15:54:50 2011 +0100

    Make stats bar smaller.

commit 5d6bfe1fe6c00bb9dc02fe2df029673b6216320d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 23:57:05 2011 +0100

    Better preference dialog texts.

commit f43776d1889518498768ebd5a11aa65d0e226355
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 23:18:08 2011 +0100

    Shorter stats labels.

commit 4639e87f7e246f06fd416b76a492693002be9977
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 23:15:51 2011 +0100

    Only show mcast stats when doing mcast.

commit 38e7554770ef3a1320af1608f805b31f59c37491
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 22:59:45 2011 +0100

    Flash label red when buffer full.

commit d380f3fffd27cb37a585c38af396ada871a6ae0a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 22:13:50 2011 +0100

    Update NEWS.

commit 04e7d0bb12b0bf09d79966060b6e7c6bd0203e4c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 22:00:29 2011 +0100

    Remove display update timer. This takes too much CPU with decent frame rates.

commit 81dd074080348646c925bf3b6976ea130358614d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 21:57:23 2011 +0100

    Fix problem with client getting unresponsive under high multicast loads.
    
    Once and for all.

commit 78a6b2bfadb39fd04eef97e54a1c480a07e95abe
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 20:22:02 2011 +0100

    VNCConn: remove blocking mode, it's useless.

commit 41eef1272e3b28a9d46f4c15d49c4c94e908bbbf
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 18:14:32 2011 +0100

    Small aesthetic fix.

commit a3ab60f6efb5ec7e5f5aa68a5c03c139a4902c86
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 18:11:47 2011 +0100

    Make stats per-canvascontainer.

commit 194309878c6eaa9f35d4c58f6e4928e0c814bc9f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 8 15:18:47 2011 +0100

    Change order of preference notebook panes.

commit e05601a19a0299d82e871fc2813385f393e1fbe3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 7 21:45:44 2011 +0100

    Add encoding selection.

commit 889a8ca0568cb8bcdd4b03fdfe2417c10b1ed8f5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 7 19:01:42 2011 +0100

    Re-order preference items.

commit 219a1a4f5e19f0c9cbfe3cffe28ae704e3501955
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 7 17:44:47 2011 +0100

    Update NEWS.

commit 1551ce83c5325aadc69c6e0ec558355ab2fb5f12
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 7 17:28:56 2011 +0100

    Fix a typo.

commit 2c32c50ca7d7d4fb0b6f2c2a73567e15511d87d2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 7 17:24:20 2011 +0100

    Add a .gitignore file.

commit 53fa1a2fb9e66ae7fcdfd7f2a0068d255e8e9a01
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 7 17:18:22 2011 +0100

    Use newest libvncclient.

commit 2402b52d7b6e4e31fbd61bf07502c36916c809af
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Dec 10 19:16:47 2010 +0100

    Small menu fix.

commit 5738ee9ee9e18622f789662621379621a29a0aa9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Dec 10 19:08:15 2010 +0100

    Next version will be 0.5.

commit ebed16c2aa2571662ca9dba25b4d8d32e26ba262
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Dec 10 18:01:52 2010 +0100

    Add saving, displaying of MC recv buffer stats.

commit 65ef271abc9aa6f827c0e174162f90c7c452ce6d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Dec 10 16:47:49 2010 +0100

    The OS X icons is not part of the GUI.

commit 2aafcf460b5d1f0c643ebc5dcab2cb5d5ae42d24
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Dec 10 16:35:42 2010 +0100

    Fix win32 icon build. Technically speaking, this is not part of the GUI.

commit 08ccbd9659c5f0ba2ed7c4ce4503fb41b7a65911
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Dec 10 15:22:38 2010 +0100

    Add useful SIGINT and crash handlers.

commit 4044167a7415cd5e7b1f0359940a60cee9c7d2ba
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Dec 9 22:02:49 2010 +0100

    Add missing file.

commit 1943e721fd2aebde9032825f9124fec9d37bc576
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Dec 9 22:01:16 2010 +0100

    Re-organise build system and add missing files to source dist.

commit 9fc7d7d78c566da6835673f03035b067fa9708b2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Dec 9 20:15:55 2010 +0100

    Adapt the socket recv buffer slider to OS's max value.

commit d9911d5ff811b063aa42ae837ec95bc1b1cbfaf1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Dec 9 19:32:20 2010 +0100

    Use libvncclient with packet receive buffer.

commit e7ba0e7fa9f6c0ab4cc0db5f5bf7570b872eb4dc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Dec 1 18:23:29 2010 +0100

    Another libvncclient update.

commit 952528a1507745cfdab6bfbf8c55e7c0c1981227
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Dec 1 17:10:01 2010 +0100

    Remove one configure-NACK remnant.

commit 88ba9696c3325ffdc76f440a59723edb2d18bf7b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Dec 1 17:07:25 2010 +0100

    NACKs are now always done.

commit 0fd0c16a4e7002d70d9f7da0c4dc5dfee11c9fa5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 25 19:03:59 2010 +0100

    request on-incremental multicast upd instead of unicast.

commit 9b07b86c5b903e8755b7f6cda6980504893e4d6d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 25 18:30:52 2010 +0100

    Dump one more unneeded header.

commit 22b5ca7bf760cf813a91030a47eb7820946ceff4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 25 18:26:58 2010 +0100

    Update libvncclient and remove unneeded header files.

commit 5470a4fc555b9878e6915b534180be04d0e76349
Merge: a094741 580ad38
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 24 22:20:33 2010 +0100

    Merge branch 'master' of ssh://multivnc.git.sourceforge.net/gitroot/multivnc/multivnc

commit a09474197c65fd63961cdeef24b94a4a9ca6ec7e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 24 22:19:47 2010 +0100

    Remove possibility to disable MulticastVNC NACK'ing.

commit 580ad38b7bd4878f00d5d7244c2d49e214ce17cf
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Nov 13 21:27:57 2010 +0100

    Update TODO.

commit 4040b22b52b13d1616236451cb50c9aa7878235a
Merge: a6bc2e1 f1d2271
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 11 22:58:32 2010 +0100

    Merge branch 'master' of ssh://multivnc.git.sourceforge.net/gitroot/multivnc/multivnc

commit f1d22710f4a05df24bb9a508ca751164768e105a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 11 22:28:12 2010 +0100

    Rename WinVNC.exe to windowshare.exe.

commit 7111ee04aceb6831ec88d239958a78725be692af
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 11 22:23:46 2010 +0100

    Add a win332 portable edition to build.

commit a6bc2e1621a411d7dea89d0f52579a2eaccc665f
Merge: d34e33c 9dab7fd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 11 21:31:49 2010 +0100

    Merge branch 'master' of ssh://multivnc.git.sourceforge.net/gitroot/multivnc/multivnc

commit d34e33c9f6f54c068203946953c65698cb6d6280
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 9 20:26:32 2010 +0100

    VNCSeamlessConnector: work around occasional hide on GNOME.

commit 9dab7fdc82906b6c15b6363fd497f839580cfaff
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 9 11:18:34 2010 +0100

    Update debian/changelog.

commit 162e159902300f900f7763cfd6ff05210718892d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 9 11:14:14 2010 +0100

    Adapt NEWS.

commit 59c7714fcf0092dc0edff36aa8245668f9ce61d8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 9 02:08:13 2010 +0100

    Update TODO.

commit 6176ee057cc9b55b7a9ecf90607c2db28cff8974
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 9 02:05:54 2010 +0100

    Improve win32 window sharer: better defaults, no more tray icon.

commit f6ccc39e1d22d85b9f4a0a4ae86e327ce0a56350
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 8 13:40:18 2010 +0100

    Update TODO.

commit 500f42e3bc058fc278b37220b974a55cc978c245
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 8 13:09:10 2010 +0100

    Format NEWS file.

commit fe0732acbb2053985a317156c0979ab02d680253
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 3 23:52:52 2010 +0100

    Fix Nan in MC loss ratio.

commit 654530d091114c6c8ef62a87668e961f87bd425b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 3 23:20:47 2010 +0100

    MultiVNC now shows up in "Software" on Win32.

commit 9905450d42656542bf8a1d14896f23960fdb9024
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 3 22:40:48 2010 +0100

    Unbreak win32 build: we are using libtool!

commit c29dd8b9db66635e5e4a6edf8019dcd7a46a8c51
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 3 01:15:31 2010 +0100

    Use -id instead of -sid for window sharing.
    
    No more hangs hopefully...
    
    No popups or menus this way, but shared app on remote side is not
    obscured by other windows.
    
    Still view only, having one's own mouse controlled by others maybe is
    not what users want.
    
    Have to think of something nicer ...

commit d68a7c04c274816db1f54ff7316a1ed0e119e2e9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 2 15:05:08 2010 +0100

    Make window sharing view only.
    
    Hangs after a while otherwise...

commit c6aa2d8f894255424af6d52a7d7b980164caec15
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 2 14:07:12 2010 +0100

    Fix crash on startup when toolbar disabled.

commit 98bf93251c092d289104b893674608d5b5af1382
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Nov 2 00:46:43 2010 +0100

    Update libvncclient.

commit c23ad9d14308077bde059bf5a25494b7e65ff759
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 1 23:45:59 2010 +0100

    Fix stupid typo.

commit 8c70843ea928326f3c97e5eedd2a785892efa5b8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 1 23:43:28 2010 +0100

    Bit more debug output, version up.

commit bf46ba38a0a34d0fc9c121462e6ea183d566f5c8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 1 23:02:00 2010 +0100

    Only check latency every second, do not constantly hog the network.

commit aad761581b79b98884125860dd9dd9c89515eb94
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 1 20:14:53 2010 +0100

    Update libvncclient, use xvp extension to get latency when possible.

commit 9e5719e9bc1d8e3097ef7b6f6cfd9655bd7fe2d1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Oct 31 15:53:01 2010 +0100

    Add rfbBell support.

commit f1b4e19a39516014ada1281a0380227ad6a3a48e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 29 21:33:58 2010 +0200

    Add latency measuring and display in GUI.
    
    Works by requestin a 1x1 rectangle as non-incremental and waiting
    for an update that contains that rect. The way it works it's not
    always 100% correct, we need special message types for that...

commit 23ad25ca5292a6c75400be2b0f69aabaae227bec
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 29 20:10:42 2010 +0200

    Include hostname in stat log filename, write as log header as well.

commit 1463898f87c8e219a4d469b38a13de4da327718a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 29 16:35:42 2010 +0200

    Add upd/s stats, remove time between upd stats.

commit 5c9274a7490a528285ec4eb167378998ee62f149
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 29 14:59:38 2010 +0200

    Change default MulticastVNC receive buffer size to 5120 KB.

commit 946cfaa181b80d31b0de3f76a0d4b6b40234b56d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Oct 27 19:29:02 2010 +0200

    Make About dialog use app version defined within autotools.

commit da36c0962f964d7031658a9fa70e9a844f88f321
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Oct 27 10:28:24 2010 +0200

    Debian version up.

commit 2cba5137ba116fa3e31a30a53726dd82edf803d8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Oct 27 10:16:17 2010 +0200

    Windows installer: version up.

commit aca49c3c05e217fbae229ed5ecbe8b59d5b6fd96
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Oct 27 10:11:13 2010 +0200

    Update README with win32 build instructions.

commit 50ee2c143a9a5ccd1c3bc0d5bccf9fac6265d1e6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Oct 27 09:58:13 2010 +0200

    Prepare 0.4 release.

commit e9318cf90c366319da0ec5953bd3eef61b39d9a5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 11 12:51:58 2010 +0200

    Update TODO.

commit b2d31d2d891097ab3b83ce3c00e49028de8322f1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 1 15:07:21 2010 +0200

    Implement QoS expedited forwarding setting.

commit 0e1c494d0a8e17a8885e7b1cc9575002646caa5d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 30 14:33:08 2010 +0200

    GUI: preferences: s/Use/Enable.

commit d69cc9518abcf0cfd26344fe5fa1efbba014ae0c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 30 14:29:48 2010 +0200

    GUI: group TightVNC options.

commit 5448a5c015a6e16b2a582ae030f85368655aba9c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 30 14:24:31 2010 +0200

    GUI: add a QoS checkbox.

commit 7405608145e504337c717d56cf785443e871aeea
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 30 14:16:43 2010 +0200

    Smaller preferences dialog.

commit 8b8866930a9c6e82df8372194c5bb62f38462d0b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 30 14:11:34 2010 +0200

    Update libvncclient.
    
    Brings QoS support.

commit e8ab3615b4b44718fd77f426b530666d4cacf421
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 3 16:00:44 2010 +0200

    Post VNCConnUpdateNOTIFYs to VNCCanvas instead of drawing directly.
    
    Maybe bit better behaviour under high load.

commit d9a7c5df77937bab0eb676dfed19c97f74a834eb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 3 15:16:23 2010 +0200

    Remove use of blocking mode.

commit fb5471067df8c0db429617299695f463ce8803d9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 3 15:14:48 2010 +0200

    Revert "VNCConn blocking mode: increase semaphore size."
    
    This reverts commit 19b8db730da2533eeeaf0256be7fcff5ec36582c.

commit 19b8db730da2533eeeaf0256be7fcff5ec36582c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Jul 29 13:42:10 2010 +0200

    VNCConn blocking mode: increase semaphore size.

commit 7dc71ddb994218d94d90df299fc63939ae016a9c
Author: bk <bk@lenny-32.(none)>
Date:   Thu Jul 29 12:16:36 2010 +0200

    When spawning a connection, use IP address instead of hostname.
    
    Makes connection spawning work on installations that have no
    Zeroconf framework installed.

commit e88f92a5f06e300fb4e3c6ec234f34ac128e6c9f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 19 16:49:03 2010 +0200

    Update libvncclient.

commit b5d3a840d39cdd063f36cbee2077512f1c23f992
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 19 15:39:03 2010 +0200

    Enable/disable toolbar buttons properly.

commit 31179320e4c2a7ef4b4f6168cf575a1d0202a26a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 19 14:04:14 2010 +0200

    Adjust edge connector menu when changing notebook pages.

commit beff2a880ccb1d720284c50ae68e6df5952e575b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 19 13:43:29 2010 +0200

    Log window: end the busy cursor in any case.

commit 7dd64549e29644cdc59cd302887083567baf1329
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 19 13:30:30 2010 +0200

    Fix crash on edge connector changing.

commit 9b825757948d7a2234a5c99b2ca032c00eb72375
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 19 12:32:51 2010 +0200

    Update libvncclient: IPv6 support and a multicast NACK mechanism.

commit ded5ab3df3c060b16e3a3914dddb5046f09a20d1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 18:16:53 2010 +0200

    Update ChangeLog once again.

commit 440a8db90b543257594e82269a17ff3e89fd5c5f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 18:16:22 2010 +0200

    debian/changelog: update.

commit 3588170f6119cf5ae76ab71dc02f738785adeeb3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 18:01:08 2010 +0200

    Update Changelog

commit 820fcebbcb0b15042a6d9f51ca723e2247892e2f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 17:37:01 2010 +0200

    VNCConn.cpp: work around a wxwidgets bug in address resolving on win32.

commit 38dd9fc15a63f440eb939f9287269d7d7e1ec602
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 17:05:32 2010 +0200

    Fix Edge Connector menu for Win32.
    
    Obviously it is not possible to have a separator in
    a group of radio items.

commit 96c3ba148b91c08e0abde932aaf0ad9c9b0af9aa
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 16:14:44 2010 +0200

    Include TODO into win32 package.

commit bf6f9a451379f153eb1392b41ba4cd7a00f57ee2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jul 5 15:39:38 2010 +0200

    README: small typo fix.

commit 038e72566b88408c9c03ffbb01efb66563acf145
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Jun 16 19:34:10 2010 +0200

    Fix typo.

commit 38f3e44158060d0fd31f3d8da552b9f1a8c09971
Author: christian beier <beier@gruenau.informatik.hu-berlin.de>
Date:   Tue Jun 1 14:43:20 2010 +0200

    Update msgqueue.h from wxWidgets trunk.

commit 0c6fa55fb77299aa467a45ffb3a5db5dac081970
Author: christian beier <beier@gruenau.informatik.hu-berlin.de>
Date:   Tue Jun 1 14:17:05 2010 +0200

    Fix debug build.

commit 753dc195550919fdafe2b08f5454e4098900ebc4
Author: christian beier <beier@gruenau.informatik.hu-berlin.de>
Date:   Tue Jun 1 13:43:46 2010 +0200

    Add workaround to activate window when started from shell in OS X.

commit 4ceba4c0b0459e4e92c91d4b5839e7505282c1c1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed May 19 21:13:16 2010 +0200

    Fix MingGW32 compilation with jpeglib.
    
    Tight encoding on Win32!
    
    Hopefully this gets merged upstream some time.

commit e8f90ac421e4fcbebc587896a613def4caecd11b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed May 19 19:44:18 2010 +0200

    Update TODO.

commit 604c2ed6b83d86fa182e144dec979e44ad04e82b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue May 18 12:57:55 2010 +0200

    Add an idea to TODO.

commit e2d4f6e00e9e509c0718a8538c0605b4912ddefa
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 29 22:05:31 2010 +0200

    Update NEWS.

commit ab09cb10f43544c39373d0f91cb62415ce8b39a5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 29 17:10:25 2010 +0200

    Properly enable/disable stats entries in GUI.

commit 10c5ff6a01bd772bfc663a5a797f062c811e6bed
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 29 17:05:24 2010 +0200

    Use upd latency stats in the GUI as default.

commit 778584f0fe5f31cfeded9ecc0876ab6b727bf728
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 29 16:58:04 2010 +0200

    Incorporate fb upd latency stats into GUI.

commit e6fdca33b78d700df5a75c09325b79a15b6ff005
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Apr 29 16:37:49 2010 +0200

    VNCConn: rework stats and add update latency measurement.

commit a74b32d030f024eadd0e184bba92e94e781e0d64
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Apr 27 17:13:34 2010 +0200

    Update TODO. MacOSX no wurkin.

commit 531c78bfb4c77cefac602dd3c2871f9034354662
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Apr 26 19:34:49 2010 +0200

    Adjust fastrequest slider range to start at 1.

commit 3996d708fd819030749eb33473d88781dc1ac161
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Apr 26 18:51:42 2010 +0200

    Incorporate FastRequest feature into GUI.

commit b8f6813d30f651794750e0a76932b328932003c9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Apr 26 18:06:59 2010 +0200

    VNCConn: Add support for making update requests at some interval.
    
    Instead of asking for framebuffer updates after a received server
    message, we can now ask continously. This is especially useful on
    high latency links.

commit 2bbc41bf8bdb3b2adaf01d985a699770873d96b5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Mar 25 19:30:36 2010 +0100

    README: s/client/viewer.

commit 1bc2a47065dc9b6e0d150fb37a555e2a6f0adf9a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 24 16:29:12 2010 +0100

    Update debian changelog.

commit d83d40e7af6fe2083e5846bb148e71983dd44e0c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 24 15:39:04 2010 +0100

    Auto-generate ltmain.sh.

commit faf726b76010e502f9fe38ba1c96c14c9b5bedae
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 24 14:54:37 2010 +0100

    Update wxServDisc.

commit 369469a4653b90fe8ff371d96e25b0ca355a58aa
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 23 23:55:58 2010 +0100

    Draw simple splitwin sashes.

commit c3ae9d4d684438eb0576b6a1a7bdccd747c39b32
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 22 19:55:09 2010 +0100

    Update NEWS.

commit 525dc5b23afc94381c2abad70030f4e26180e8b0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 22 16:53:29 2010 +0100

    Make OS X x11vnc executable.

commit 0301b545c2e973e0303e5eb54293ba1161bd91f9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 22 14:31:13 2010 +0100

    Add Mac OS X window share facility.

commit 241025f44bfe6fcbc3fe1d1b8204589d7db04c3f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Mar 20 21:33:18 2010 +0100

    VNCConn: use a char array instead of a wxBitmap as framebuffer.
    
    This simplifies things a bit (100 LOC less) and shuld fix the issues
    on OS X. There was no real benefit of using a wxBitmap anyway...

commit 4bf845f701a7970b57b277ca3b8e50ed064c0ce7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Mar 20 15:55:47 2010 +0100

    Change debian section.

commit 4487b3650f74432d860fcab29f5cca1d2cc31296
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 19 18:38:39 2010 +0100

    get rid of this po/ mess for now.

commit 22df6ff273060dcb851cf53b72c56b4393c8d653
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 8 20:56:04 2010 +0100

    Fix regression with fullscreen toggle.

commit 405a6b604c6f40bdef6ff29ad094941facfb7d47
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Mar 7 15:20:46 2010 +0100

    Raise connector of active connection.

commit cf0bdefebadf017a16ac2bdb0464822ca80a7554
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 5 20:19:13 2010 +0100

    Change VCNSeamlessConnector edge immediatly.

commit 91e957401e66c0444af4825c863fd135a0354298
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 5 20:07:20 2010 +0100

    Make VNCSeamlessConnector edge configurable.

commit 9b9ebdad4f01d698492fd905e0d4aed0bce9e78b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Mar 5 19:15:53 2010 +0100

    Simplify the preference dialog a bit.

commit 47a5df07c1e0333d73fa96564191cf9dbaf5d168
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Mar 3 15:13:53 2010 +0100

    VNCSeamlessConnector: change window size when display size changed.
    
    This still just checks when mouse is entering, as there is no wx
    event indicating a display size change.

commit 4e29c7767caf57fbf5915a22d7e3b02cc8106685
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 2 15:05:51 2010 +0100

    VNCSeamlessConnector: handle capture loss to satisfy win32.

commit 7bed80e959596350df75ad730fe14c42266ff0bf
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Mar 2 14:24:37 2010 +0100

    VNCSeamlessConnector: properly expand canvas.

commit 10b697f8b6e5b2ac79d75f43687b95f817f61f6e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 1 13:51:22 2010 +0100

    VNCSeamlessConnector: comment out old x2vnc stuff.
    
    Now win32 version builds again.

commit a435b48b518bd7d9a6a144a23fc47d96c4132063
Merge: a30895f ec00f02
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 1 13:21:45 2010 +0100

    Merge branch 'seamlessconnector'
    
    Conflicts:
    
    	README (fixed)

commit ec00f025aa351d74303034c9db659a21d24c06fd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 1 13:01:23 2010 +0100

    VNCSeamlessConnector: fix warnings.

commit 0f5152a2ddf857b9c851297206720c31bca47f99
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Mar 1 12:51:07 2010 +0100

    VNCSeamlessConnector: s/fprintf/wxLogDebug

commit b4c846c628a5809606c78e69f3127179932c50e6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 28 18:24:39 2010 +0100

    VNCSeamlessConnector: implement blank cursor.

commit 78766835bf0249deb068c2cd05da93077cfef8a0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 18:24:19 2010 +0100

    VNCSeamlessConnector: implement cuttext handling.
    
    Also some event handler cleanup.

commit a15304d1078ce3aed0dd303055594e5a314a0c34
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 18:03:14 2010 +0100

    VNCSeamlessConnector: port x2vnc xinerama stuff.

commit 2c40832796a88496d35222c626b599445e7dc566
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 17:19:35 2010 +0100

    VNCSeamlessConnector: merge the 2 offset vars into one.

commit 25b4334164cebef3ae52af27b39c8a30ad50eba3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 16:48:34 2010 +0100

    VNCSeamlessConnector: make pointer accel configurable, minor cleanups.

commit 2ebf194bae37ceca55a0c8c7214e745b6e83ff1c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 16:33:42 2010 +0100

    VNCSeamlessConnector: make edge width configurable.
    
    Also converted grabbed var to type bool.

commit 193f408726e235c5a02f819137a8d9c3a1fc7eb7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 16:30:48 2010 +0100

    VNCSeamlessConnector: merge two vars into one.

commit 50324b77c9062f67649a96602f01ddbb47f3fcf2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 16:21:56 2010 +0100

    VNCSeamlessConnector: make mouse buttons work.

commit a9a06ba8072dfb32cfef922cddbb7db09a12cafd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 16:04:27 2010 +0100

    VNCSeamlessConnector: move focus loss handling into main class.

commit fd6c34ce648e5b0867e147e6ad66bc015f219656
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 16:00:19 2010 +0100

    VNCSeamlessConnector: make keys work, hooray!

commit c086f9459374147537ef0d5afda3fec4850a9b12
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 15:55:47 2010 +0100

    VNCSeamlessConnector: Don't use the timer anymore.

commit 4731aaa5c9ea3b96fc1f6c67be220a0fc053a9dc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 27 15:45:46 2010 +0100

    VNCSeamlessConnector: make key grabbing work, finally.
    
    works okee, some more cleanupm is definitly needed.

commit 959e7130ef473e2a6fd831ddfa29b06709a8edbd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 26 19:16:36 2010 +0100

    VNCSeamlessConnector: fix segfault on second connect.

commit 809e72b28333c10ff7e692ddf561c3109e6c06d0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 26 17:55:06 2010 +0100

    VNCSeamlessConnector: use wx WarpPointer() instead of XWarpPointer().

commit 13199164b80ca5c87f1598c407ca4b2866b1da49
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 26 17:50:28 2010 +0100

    VNCSeamlessConnector: single out sendpointerevent() use.

commit fa11f86effdfd3fee69e904f9faa0b0f0ed1d0b1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 26 17:45:55 2010 +0100

    VNCSeamlessConnector: remove desktop handling stuff.

commit 0c7066a0aee349c1fc18be5ea82be9c4f865f4d4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 26 17:43:24 2010 +0100

    VNCSeamlessConnector: Some re-ordering. no functional changes.

commit f1f1cbff93678c3a0e0f3ed3d5b7986a75d4ea0e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 22:53:08 2010 +0100

    VNCSeamlessConnector: even more wx window work: seems to function now...
    
    this was it:
    int ew = edge_width*2;//FIXME

commit 610c3d037af0063daa01b9ea42d1fb998deba39b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 22:18:57 2010 +0100

    VNCSeamlessConnector: more wx window work.

commit 6d97b79be3019372dd745cffe502b0891d16afdf
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 21:16:42 2010 +0100

    VNCSeamlessConnector: sanitize macros a bit, remove exit()s.

commit 2aa2e40a00c7b6cd30061781d3acbd4e857bd669
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 17:25:50 2010 +0100

    VNCSeamlessConnector: first stab at own wx window.

commit d59666fcdf58168bf145e5c4068f7001cd30f2ec
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 15:11:32 2010 +0100

    VNCSeamlessConnector: some more refactoring.

commit 3362213637754f9e50d453ea1177d1d02ce8f38f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 02:35:41 2010 +0100

    VNCSeamlessConnector: make edge configurable.
    
    Why o why can't i pass an enum to the constructor?!?

commit e8b76df241b24cf666730a10640331fcac45d459
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 25 02:13:07 2010 +0100

    VNCSeamlessConnector: use timer instead of threading.

commit 2f3d5201839f0f4293eb6720f6c0feb9c0a72853
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 23:58:44 2010 +0100

    VNCSeamlessConnector: remove some more x2vnc hacks.

commit 4e26ced3e434785eb2ec6b74ecf7ead0e5526723
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 23:43:59 2010 +0100

    VNCSeamlessConnector: even more removals.

commit db78c4b796badfb60c252cd84f6c97ae9ea96755
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 18:53:51 2010 +0100

    VNCSeamlessConnector: remove noblank stuff.

commit 0f3d48f5d351b5b30f0f14aa60f89575e98c3d7b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 18:38:41 2010 +0100

    VNCSeamlessConnector: remove remote<->local warppointer hotkey.

commit cbfdafe81ca0cc4faab0a3e96fca2e8f91ee4b02
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 18:11:44 2010 +0100

    VNCSeamlessConnector: use wxPoint instead of struct coord.

commit 5260550f047519aefe089e209c336bf487e08a4a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 18:00:08 2010 +0100

    VNCSeamlessConnector: remove obsolete X extension support.

commit f1493da4a5d8a031c83d8d5f4b28199aec6eb5fd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 17:53:12 2010 +0100

    VNCSeamlessConnector: Fix key handling (almost).

commit 2d32a5f1c5e7106528d86292a22eca343b1a6e5c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 17:48:28 2010 +0100

    VNCSeamlessConnector: fix mouse buttons.

commit 64c7507e99381c21ba22661bfc50166c345f2721
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 17:34:50 2010 +0100

    Initial port of x2vnc. Seems to work okay.
    
    Now for some cleanup!

commit a30895f0f453626c39b52e8e1258eb7be5ed232d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 24 14:44:09 2010 +0100

    Update README.

commit dc4ae6e067d2a6a1738de6179e05af9db4ea7227
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 23 00:27:33 2010 +0100

    Update NEWS.

commit 563f6deee6f27aefc1e517e3f9a425e4cedf5126
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 23 00:20:29 2010 +0100

    Circumvent wxWidget's DNS lookup a bit as it doesn't resolve mDNS addrs properly

commit f739fabf7392727515b21a8fa370f5081ee7a704
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 22 23:28:15 2010 +0100

    Implement window sharing. One step further on the road...

commit da348abe1c021a61ca7da38b47399a09ed39d874
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 22 15:20:18 2010 +0100

    po needs fixing!

commit f6283d5b5052cc2b31507ed3dbc98624ad1423cf
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 22 15:18:34 2010 +0100

    Revert "Remove unneeded files."
    
    This reverts commit 9836b68232e87cce7cd05d6d3e84713e86a9cf2a.
    
    Somehow these are needed. Really need to fix this later...

commit 06c59345aef96fd01607e493f2cedbbf3004bc98
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 21 20:11:36 2010 +0100

    Re-add po/Makefile, seems it's needed.
    
    The whole po stuff needs some reorganization later on.

commit 9836b68232e87cce7cd05d6d3e84713e86a9cf2a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 21 20:01:50 2010 +0100

    Remove unneeded files.

commit 7d8d2120c55bce22cfc50225cda28cb3567afadc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 19 23:28:15 2010 +0000

    Update NEWS.

commit 9ab8731d095c52d7baf230069db71cd035ab4eaa
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 19 23:19:46 2010 +0000

    VNCConn: resolve server name only once, not everytime we get asked!

commit 9e9b43af3195f91f26b41814b5e821eda0ec3ba4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 19 18:03:33 2010 +0000

    VNCConn: use wxThreadHelper. 60 LOC less.
    
    Also make the logger more secure.

commit 0fb1b38e9cb2e54a29de4b74cb29392010aa4800
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 19 16:47:24 2010 +0000

    Fix display of stats.

commit df6146d81e8c9ffc24cec9f23f0ee0fb6596f9a5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 19 15:12:24 2010 +0000

    Include absolute time (since epoch) in stats.

commit 5efe35c0da6b54cec9c9d15346f5fdccc5f7224e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 20:23:06 2010 +0000

    Revert previous commit, bad idea.

commit ccf75ea42db002d7876871034a97823c0241bff5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 20:17:30 2010 +0000

    VNCConn: Save framebuffer update logs in KB instead of bytes.

commit 353f43e89d501d050370e5170b17d0a877728df2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 19:10:35 2010 +0000

    Add windows VNC server contrib stuff.

commit f6141ca0f3fef865339c2e4e69f937f224af84f4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 18:33:56 2010 +0000

    Update NEWS.

commit 2e004de2d66a508257e423dfdb43da3075e9b9da
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 18:27:50 2010 +0000

    VNCConn: instead of blocking signals, which seems to not work everywhere, handle EINTR.
    
    This should actually go into libvncclient.

commit 0a1817837b93321687e185cec46b3195268b4bf6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 18:13:18 2010 +0000

    VNCConn: cosmetical change.

commit 9c80d2073394610a6e4096a7d87ebd90d8d2f090
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 18:04:03 2010 +0000

    *** empty log message ***

commit 4e6f0288a5e265a6f9507a2150ba954f4c11a4d2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 17:59:19 2010 +0000

    VNCConn: fix segfault on disconnect.

commit d53d5ae3066e3153d26318909a0cde30388335c1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 18 17:35:29 2010 +0000

    Leave a note about this EINTR stuff in TODO.

commit 893197adde6733ad1223003484c21115dc27dc3d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 22:44:15 2010 +0000

    Enable blocking mode again if VNCConn becomes unicast.

commit d2ff41d6c61de9f3283663126174ccc883bb9f06
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 22:33:15 2010 +0000

    Fix bug where fast server would make GUI unresponsive on slow client.
    
    This uses VNCConn's blocking mode, so is probably not a good
    thing to do in the multicast case (packet loss while blocking
    because of full receive buffer).

commit a3d384c02e349e421fffa28501517aedb6e6abfb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 21:18:20 2010 +0000

    VNCConn: add isBlocking().

commit 712fc8cd145353a32a08d93da319b8ad452594e5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 20:02:27 2010 +0000

    VNCConn: implement an optional blocking mode.
    
    When enabled, the worker thread blocks after sending an update
    notify event until UpdateProcessed() is called from the main
    thread. This way a slow drawing engine can be synchronized
    with a fast VNCConn. Default is OFF.

commit 4322e8f3d7516250286f0fb4fb9ab078b7feb61e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 15:48:47 2010 +0000

    Hopefully fix these po configure errors.

commit ec013f2af88e6065a8b7d266f2775b9536fe195a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 15:28:53 2010 +0000

    Add missing po file.

commit 8faf9f35350f2f781039a5218734c22828c87ac4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 17 15:15:12 2010 +0000

    Oops, forgot OS X icon.

commit 1019482a662dcb5e8bdaae80414cd4f49fbf9495
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 16 15:49:18 2010 +0000

    Update TODO.

commit 94992b8c04a0a6a47d4b141a82c6e4ba04f85610
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 16 15:22:31 2010 +0000

    Display server name in braces.

commit 2ba9ddd271c46f762290eae2114f90ebd28afcb0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 16 15:16:29 2010 +0000

    Really include all needed files in dist tarball && version up.

commit f0c557a51ba8390f758bbca4dcb1576522683ad4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 16 15:14:49 2010 +0000

    libvncclient: s/IPV6_ADD_MEMBERSHIP/IPV6_JOIN_GROUP.

commit c12c6a66c88485348972770893e60d1c6d22d6a3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 16 14:58:23 2010 +0000

    Remove some unneeded files.

commit 4e6ce03329c5f5c291f54aade031013bd9a2e8c9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 16 14:22:59 2010 +0000

    Add debian dir to dist tarball, fix OS X compilation.

commit 3439ce0deaa3531399d68a25725ed0806df14f35
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 23:41:19 2010 +0000

    Fix make dist.

commit 4bba3506371c1a0bfa339c117ec9449943de1823
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 22:06:20 2010 +0000

    Update Changelog.

commit e78ba0c3d440b090bf88a2d2d205263dc595efba
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 22:02:44 2010 +0000

    Update libvncclient once again.
    
    This change counts out-of-order packages as not-lost.

commit 8a03a83d64746b07bac781fc43dd363b7a7e0616
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 20:10:55 2010 +0000

    Calculate multicast lossratio in the client app.

commit eb1b55baeca07641583a7f84ef27334b9d7f802b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 20:07:56 2010 +0000

    Some small gui tweaks.

commit 96370e4189178c407f207fd35461a2dbbf5928f7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 16:53:16 2010 +0000

    Use updated libvncclient.

commit 2a60909cca51a7f94a20edd5b55547c6a755ebfd
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 14:31:13 2010 +0000

    Only prevent updating of log window when number of lines to be written > 50.

commit d9e311192a8a7d98704d01d66e747c4b0f3f6e95
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 14:11:41 2010 +0000

    Display a busy cursor while log window is filled.

commit 769a2895c884b191c286a2a1e23e49649c614662
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 15 14:00:31 2010 +0000

    Prevent redraw when log window is updated.

commit 8a8b459e43ecac00dd178ed7a577eb1e82480fc6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 12 16:23:10 2010 +0000

    Fix 100% CPU on listen mode on windows.
    
    Phew, this one was a real piece of shit...

commit bc30ce5b6a612f72c0597af00eda2d337e350c86
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Feb 12 14:38:54 2010 +0000

    README: add pointer to multicastvnc sources.

commit 0d82296ca4be112c475dda4ac8e7b3980830fa79
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 22:47:52 2010 +0000

    Increase listener timeout.

commit cf53d090bdd60cdf6b45d8eb6947b65e56527698
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 21:08:54 2010 +0000

    Implement clearing of log window.

commit 2a8141ec27751dba161b09ffab6d85c0f298c21e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 20:45:18 2010 +0000

    Year++.

commit a218c86a6fdaa2e44e3c0c946f64e7b96f0b48f3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 20:39:57 2010 +0000

    Add license boilerplates where they're missing.

commit e0f98bb76bc3a3614b53bdcceae250023ee5d435
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 20:19:03 2010 +0000

    Implement multicast socket recv buffer size setting.

commit d868b0d154e545aabd2119f431d1e75db395b760
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 18:40:24 2010 +0000

    Updated libvncclient.

commit d560a0e619f663bd84a43b147dcf0d9e103bb0cc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 17:46:37 2010 +0000

    Use updated libvncclient.

commit 64cedc50112f99105c58c9395a1196b95ac8e997
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 17:17:31 2010 +0000

    Turn on optimizations in release build && fix some warnings.

commit 628dbce7800fdf5b12649a777de8a0b1b05e0592
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 15:28:32 2010 +0000

    Some clarifications regarding getFramebufferRegion().

commit a43311e0e3f474dc66c123ee026c4c84423fac97
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 13:59:16 2010 +0000

    VNCCanvas: more debug tweaking.

commit a60c391e1351c489778f8c8c4ce37059c081d986
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 13:42:28 2010 +0000

    VNCCanvas: add timing debug.

commit bd17dfd7b013c42c35b27943bdcaa2eb1cf2a62a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 11:47:28 2010 +0000

    Don't set page icon on each and every update.

commit 15bb58b9a44cd5434becc6ea8914fe8d314496e3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 11:23:00 2010 +0000

    VNCConn.h: clarify what the events are for.

commit 22dd6c90cfda56246b36e590fd1709ebc57e96e3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 10:26:59 2010 +0000

    Really fix stats saving on windows this time.

commit 643949b5fe182c2da431ff185fffe79af526861a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 09:34:38 2010 +0000

    Fix logfile writing.

commit 0dc20f838168f2818d214d42b3c466c4b854a1ea
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 09:12:56 2010 +0000

    Fix stats saving on windows.

commit 22e822139cfc890daf16fd26e3b052d492f852b9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 11 08:55:28 2010 +0000

    Update wxServDisc.

commit 85a5e37508cf863a0938ba50f0eb5177469beed1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 10 17:07:01 2010 +0000

    Tweak windows icon.

commit 020339f135b9f94a9916d0a7ed6cf83ecf2efa8d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 10 16:39:25 2010 +0000

    Add multi-resolution windows icon.

commit 9973b43736c6a54ec03e9ecacc061e294c886142
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 10 15:52:22 2010 +0000

    Update debug messages to follow new private method names.

commit 6a75d3fd9bc37fd82ebf624680e3c4c777505a79
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 10 15:47:48 2010 +0000

    Tweak settings dialog a bit.

commit 5a602185ceada2122fabc403e1d2140a5915992c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 9 12:17:18 2010 +0000

    Tweak about dialog.

commit 7f2881a3d050266e57508eb1ed518d9312951009
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 8 17:52:15 2010 +0000

    Updated libvncclient.

commit c90a48139e7e0591fb5a601da90f72351b07214a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 8 15:15:23 2010 +0000

    Remove duplicate code.

commit a6aedf1190e23395da3edac8e1a116698babb3d6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 8 14:13:12 2010 +0000

    Updated wxServDisc again.

commit 6bcde6af86072b4a3f2ff6bb08502420ab04565d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 8 14:05:51 2010 +0000

    VNCConn: move public block to the top of class declaration.

commit ed6d2e4cfb66e19168bae6046885cf7e3e974267
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 8 14:03:23 2010 +0000

    Move custom update event below VNCConn class.

commit 9a02cbdd32d1d05764651752400ff9b53171581c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 17:18:32 2010 +0000

    update TODO.

commit a3331b3704bbfe7d05864e7f89cf6b9d131b9343
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 17:17:02 2010 +0000

    Replace that ugly update notify pointer stuff with a custom event.
    
    Probably can be simplified a bit more...

commit 61c6105ae77f8c1f25fea99d40be2fb8d843d06b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 16:48:13 2010 +0000

    Add connection id to saved stats filenames.

commit 5061271d5440fafc6592eccdaed5a3f0307ce5e6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 15:40:17 2010 +0000

    VNCConn: make all internal functions lowercase.

commit 3c7cd02e07561c1c2dd282644bf030d77070ee96
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 15:32:38 2010 +0000

    A bit of textchat work.

commit 455efeb2c75b0768c02bdd4a307ea519ed0ae4d3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 15:12:26 2010 +0000

    Update wxServDisc.

commit 05c6e03f6e7079ffa03c8d26c15b479f8b4b742a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 15:00:33 2010 +0000

    Change app icon to sth more meaningful.

commit 4542b3b776810b8f30db5850f65413cfeb10c3c3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 14:43:46 2010 +0000

    Use raw byte equiv in update stats.
    
    This way the numbers are comparable between unicast and multicast
    and also more meaningful than the abstract updates/s count.

commit 7c2875d3776a86db5fc863c9b27842047880e054
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 01:30:31 2010 +0000

    Better listing of security types in about dlg.

commit a0823304eeeec8d771fd6a2b90dede599463bfad
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 01:18:20 2010 +0000

    Update TODO.

commit 0a5d2099a1942f0d5dcd3ab9dcae384870b87286
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Feb 7 01:16:36 2010 +0000

    Clear stats window on disconnect.

commit 6f4ee083071d1b55ad89b6f4b6853fd756e5f18d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 23:54:51 2010 +0000

    More locking fixes... this time right.

commit 0e43702d887c464305cc17e6ef8805862abb132e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 23:45:10 2010 +0000

    More locking fixes.

commit 8cc31366e6e64bd4868fc806eef2afe022c07103
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 23:40:34 2010 +0000

    Lock cuttext mutex when reading cuttext.

commit 91670ee80031a2ee97220655189c13dde3ecad77
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 23:35:25 2010 +0000

    Fix pointer latency display.

commit c93b2bbb8cdd51a47f25a1586fbefdbe62758ea0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 23:08:59 2010 +0000

    Do not interact with the client* from different thread contexts.
    
    Fixes those TLS lockups.

commit 97e237870894cdfc6dcfc906a3785c8c2dc49b15
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 21:11:03 2010 +0000

    Use updated wxServDisc class.
    
    Implementation is now simpler and it properly closes sockets
    on object destruction.

commit 2b44427dd0cc6287232c0d8672ef5db3132f99ee
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Feb 6 19:25:30 2010 +0000

    Remove debian/files.

commit d51de077c73d126c072340cbaf45b5fd1700a34d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 23:38:43 2010 +0000

    Fix "about" display if built without GnuTLS.

commit 67b43db46c7364c4ea4502c0ed51ec56a9f7ac7b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 16:03:53 2010 +0000

    Implement display of multicast loss ratio.

commit 46db93a9e0d2dec8867bc2d4d0aa69228178080c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 14:43:15 2010 +0000

    Add info about builtin features to about dialog.

commit 834eeae06f0d5c4fcc15f2ab1e0e62e8b85ee5a8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 13:57:19 2010 +0000

    update TODO.

commit 227c9a9155d85ccea4212f64a81e341f3a767239
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 13:49:02 2010 +0000

    Fix TLS, at least with UNIX.
    
    TLS with threading under win32 probably needs some more love...

commit c6a131af6663ed997ffc5f9a845254f1649e0859
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 00:23:44 2010 +0000

    Strip executable before putting it into win32 installer.

commit 38972721ff7c8f0b788c244ef4c871c5b96ac418
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Feb 4 00:06:20 2010 +0000

    Fix this darn Mingw32 compilation again.

commit ad1bdb71ba52245cf47e94056af17ff428e655f8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 21:39:10 2010 +0000

    Update help text.

commit fa8e6b66156019ebd11404031ec2ee699f7f4ec4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 21:30:47 2010 +0000

    Update NEWS.

commit 846e7599d8bdf0e0cccbe3c70fd48ed6c1e5ec1b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 19:40:21 2010 +0000

    Add _all_ resource files to Makefile.am.

commit c089529ef88af1a174957ab2809e0ff2790c8e22
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 19:23:57 2010 +0000

    Add icons indicating multicast connection.

commit c54e1a41cb8a784ca9471a7e7c48a6b607f98738
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 19:03:17 2010 +0000

    Enable -Wall by default.

commit 5a32a70e3feb7de1c3965eae1c48dfe7bdaf0693
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 15:19:15 2010 +0000

    Make use of MulticastVNC configurable.

commit cb2d9026d411a7ec87ef8417a252be4851f34b62
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 14:40:38 2010 +0000

    Fix bug where app would terminate on disconnect.

commit 282e923aefb78cb7499baafa1adabd6884f01e45
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Feb 3 13:56:15 2010 +0000

    Add default exception handler.

commit 788a78277d4bcffe542dbcd29c5f73d4af38eb58
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 2 16:19:31 2010 +0000

    Delete debian/watch.ex.

commit 3ad3cdd2cb75897c088777e8c457f3c7372aa789
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 2 14:20:25 2010 +0000

    Sanitize NEWS, update README.

commit b9ffea2cece52e3c98766b37a357cd4cdaae51ae
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 2 13:48:25 2010 +0000

    Actually _use_ multicast.

commit 6a8c3af1a22a6c175b7d72cfaaebcd5b2664ec12
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 2 13:21:57 2010 +0000

    Add multicast debug flags.

commit 41de452675db26f72f9a463881576ac9f69ee349
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Feb 2 00:25:11 2010 +0000

    Update libvncclient, now compiles under MinGW32.

commit f4e83c768269013bb6eab832bb40d11d6909c5ee
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 1 16:03:49 2010 +0000

    Add multicast-enabled libvncclient.

commit ea9e9bc350a5c4b579c2d0b0495ad9ef769d2c5a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 1 15:28:43 2010 +0000

    windows installer: properly delete directories.

commit fac92b244e09a14c5c1c79405f633925bbe5a291
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 1 15:01:33 2010 +0000

    Add support for building windows installer.

commit d4f311402bbd709761f9cbb14f5515e5d3e54e71
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Feb 1 14:30:19 2010 +0000

    Add MinGW dll, needed to run win32 binaries.

commit c28284a72dcf25d9612c9b2c044f8d1bbedf5b57
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jan 25 20:36:44 2010 +0000

    add debian/watch file.

commit adc97d4cf5eb09a1010333e1e36131704a73715d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jan 25 20:33:37 2010 +0000

    update TODO.

commit 802317f5641df1995ed65ab255ee1636bdc7f95e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jan 25 20:30:47 2010 +0000

    add resource files to SOURCES.
    
    This way they get properly included into the source
    tarball.

commit 3ed987ff89257c3f22b66a88cbb9f8ff56b191a2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jan 25 20:26:03 2010 +0000

    don't install libvncclient, we link statically.

commit bce720cf180dcbe6a59053bc8545357badb37c92
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jan 25 20:06:44 2010 +0000

    add debian packaging.

commit e36a0e65c51350414e29c1ecc02c32482fac5635
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Jan 25 19:42:57 2010 +0000

    add desktop file.

commit 31fb375a8d3ae768c968ca0302a5c932533887c4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 26 13:51:39 2009 +0000

    workaround segfault on exit.

commit aef09b1b7e9322a8f3e21f7374f7455150265806
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 23 16:29:24 2009 +0000

    disable bookmark menu items when bookmarks not shown.

commit a9df218cdf8e38de1812b7359bd7259deb55a1ed
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 23 16:07:01 2009 +0000

    implement bookmarks.

commit 839d081aef9dede6648e2d652f83aab73938ded5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 20 20:43:14 2009 +0000

    update NEWS.

commit 2f37bfc8aa140b0bcdea9a24c51e03bdfd9ed141
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 20 20:37:31 2009 +0000

    delete VNCConn object _after_ deleting canvas.
    
    fixes bug where canvas would try to call methods of a
    VNCConn instance not existing anymore.

commit 019572810c43a926bdd99ee18c02cd21bb79c301
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 20 20:10:40 2009 +0000

    up modifier keys if canvas loses focus.
    
    this fixes the case where ctrl or alt got pressed down, the
    canvas loses focus, ctrl or alt are released, but that is not
    reported to the server, resulting ind ctrl or alt being stuck
    at pressed down state.

commit 3a04890378681bd50f8fdf09b35ba764bd1facad
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 20 18:26:33 2009 +0000

    add bookmarks stubs.

commit f6b82308c9cd2ffc12fd312c0a59a3edda9006a0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 20 17:56:52 2009 +0000

    update NEWS.

commit 030cfe2e84872d21e67342df1c2494abb24b2e21
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Nov 16 15:40:52 2009 +0000

    add bookmark menu items.

commit 9726f8dbb8c2104c5c1c078944595c1b8c9d1897
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 12 13:09:39 2009 +0000

    update to libvncclient master.

commit e4090b0bc522a967c773212bd89ae8e35a782bd2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 12 13:07:20 2009 +0000

    use a global mutex to protect clipboard access.
    
    should fix these warnings now once and forever...

commit a198a6fd4ec8030f2bfe334b230704550bced8d8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 12 01:30:22 2009 +0000

    improve sendking of keysyms.
    
    now ctrl-c and friends should be working.

commit a36e0e2b542c15f49683979f13314f8b066398eb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 12 00:19:37 2009 +0000

    properly de/en-code cuttext to ISO-8859-1.

commit bbc2c53498122ba5f6003f6a91a2295056319dd7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 11 22:27:50 2009 +0000

    fix bug where canvas would be incorrectly centered in scrollwindow.

commit 429aa1917639fa31ed6a19e1a1b1a5115b5d26e7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 11 20:18:39 2009 +0000

    fix those warnings that clipboard is already open.

commit ac84c7f8fc9632d4d4e4d2c844e87104e7363083
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 11 19:42:35 2009 +0000

    don't try to get it's contents when the framebuffer is size zero.

commit b9455d779aaa6bb4da833d404334087c0d353a79
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 11 19:33:25 2009 +0000

    get rid of some code duplication.

commit b8e1229b49f88157b6ca7a54297468f137e36705
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 11 19:29:04 2009 +0000

    rework handling of listening connection's port numbers.
    
    now it actually works.

commit 4fead5fef7f5cce74ebaf7c7902bfc34b8484f15
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 6 19:03:49 2009 +0000

    update to latest wxServDisc version.

commit cabb2f01952d979635d0361b2364a602149a3f16
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 6 16:19:49 2009 +0000

    update to latest wxServDisc.

commit b91d18b19afdaa8c9a86751954adaea3abaac5f6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 6 15:36:24 2009 +0000

    also act on resizeFB for not currently active notebook pages.

commit c94a4979e3d6dc16569d41a3dc8503b71ea876dc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Nov 6 15:24:01 2009 +0000

    set page text for incoming connection.

commit 585ddb87796d4bb8b3bf94c5e03455b1dca52ee0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Nov 5 14:24:18 2009 +0000

    correctly count listening connections.

commit 2ead16507b0c47b74e5013da9998f9a06321ee8d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 4 23:29:15 2009 +0000

    Add listen mode to VNCConn and GUI.
    
    Maybe needs some more love, but right now it's working.

commit 9ee16d8237bed9358440bb37a8a08f54ab3d7b19
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 4 21:45:47 2009 +0000

    VNCCanvas: guard against repaint request for zero sized canvas.

commit 2e038dff929bbbdb062d6ba37042a30c86ecaa3a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 4 17:23:23 2009 +0000

    refactor Init() & Shutdown() to Init(), Shutdown(), Setup(), Cleanup().
    
    This allows us to squeeze Listen() in.

commit 345efb2aede9b1f817e2313f46ef8f26048e7445
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Nov 4 15:44:17 2009 +0000

    use newest libvncclient.
    
    this gives us a non-forking listen mode and TLS support.

commit 8249f15a3bf9a5a7e40119a9418da61687ec0daf
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Oct 13 11:09:58 2009 +0000

    setup for 0.2 development.

commit 5d841108dfc1a348987068f95d2742c6aeb55449
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 12 19:21:48 2009 +0000

    update NEWS.

commit 26b0c0ce60a7dd0dc5168aaee25ce54df73c8a5e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 12 19:05:12 2009 +0000

    update TODO and ChangeLog.

commit fc84b17ddc14cd81f9716f669f6fbd8c35aaf6d9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 12 15:13:39 2009 +0000

    update help text.

commit 075a49f130a5e35dd913c15be14962d2bc5ef08b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 12 14:44:25 2009 +0000

    remove some old comments.

commit 59c7d36fd294626de5c053eb34f8cbe0b6516548
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 12 14:42:00 2009 +0000

    clipboard support in main frame and VNCCanvas, rework VNCCanvas to support resizes.

commit 0fc3fb2ecd3780c369dea32fce39ca924d9489e0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Oct 7 14:34:03 2009 +0000

    implement VNCConn cuttext support.

commit 7f1db53a280442769dda822a566df89f2749a599
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Oct 6 16:54:54 2009 +0000

    framebuffer resize functionality for main frame and canvas.
    
    also fix some warnings in MyFrameMain.cpp.

commit a1b78c1c5d4705f22660e54e70bd2c11f74a7e8f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Oct 6 00:00:35 2009 +0000

    silence warnings.

commit 093f035fa055fe5b485ad5450321ad72c768f50c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 23:53:24 2009 +0000

    exclude unused parameters in compiler warnings.

commit 00ac7b61e645de44ece5e2cacc3aee9bfdb8c106
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 23:24:41 2009 +0000

    add -Wall and -Wextra to CXXFLAGS in debug build.

commit a189ecba38902932d5d8d52314fb6d49c1fc0ef9
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 22:14:13 2009 +0000

    framebuffer resize support in VNCConn.

commit 0d82967ddcb4561f5f5140374fd6c68bfe60c9e4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 19:12:04 2009 +0000

    fill in port if empty.

commit 1687c331a0771452060aaacc46ed38c3a4d8e5dc
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 19:11:39 2009 +0000

    VNCConn: be a bit more talkative in error case.

commit d35ae0d140bf6dde4b0998385b7e0330acff908d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 19:02:37 2009 +0000

    add functionality to specify host(s) on commandline.

commit ff6a2e3b87f2c6413c1c4a50fe9bb44977b76832
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Oct 5 14:38:31 2009 +0000

    implement settings dialog and some settings.

commit e3ca4eed07f25c27e8a83bdfaa86ba09c7c7a0e4
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Oct 3 16:07:04 2009 +0000

    greatly simplify log frame.
    
    we now use a timer instead of a thread.

commit e168eb13de2be62cbdd87d57c61eee6345417f4b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Oct 3 15:02:58 2009 +0000

    use miliseconds since Init() in stats instead of wxNow().

commit 9176f1a1a2c097efdf5c73d240608b30352c8ac0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 2 15:44:26 2009 +0000

    add functionality to save statistics.

commit 1ff2e4d724ed78ff2931c8797f350eb39e5b794b
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Oct 2 15:18:09 2009 +0000

    update to newest libvnclient from git master.

commit 376f89481bc96024a4802395971cd1c05b2cd196
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Oct 1 20:30:49 2009 +0000

    delete all connections on frame destroy.
    
    terminate_conn resizes the connection vector!

commit 66278c50bb63166fd7f69ae57e001081bb1ee8d5
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Oct 1 20:12:35 2009 +0000

    first stab at statistics for VNC connections.

commit 7d34dfc9d04b3107fb5d351384313f6462d1a21c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 29 19:49:38 2009 +0000

    minor gui tweak: better label.

commit b422ab1dadf374b59176aef4ff78e53871abb119
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 29 13:53:34 2009 +0000

    remove unused code.

commit 23bda87095782c3b3294b1e18969e8713959ff20
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Sep 28 17:14:11 2009 +0000

    fix keyboard input for windows.

commit 3c2662cf36e1feba529b42d71144eabf55f33b90
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Sep 28 15:48:05 2009 +0000

    some gui tweaks, remember window size.

commit fc4403ea17f87b7a01d1b750286fa130d9056b7f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Sep 28 14:45:38 2009 +0000

    update help text.

commit 926e1517538f44ba3b06690282cf3f4c59ab0ec6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Sep 28 14:36:16 2009 +0000

    implement keyboard input.

commit e5ff3c8d0cfebe0621c8351e653ee4719ae03730
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Sep 25 19:08:54 2009 +0000

    further tweaking of VNC cursor.

commit 6b1265c32190a652ee5b282ef8e6a5dacdc9b724
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Sep 25 12:51:28 2009 +0000

    implement VNC-style cursor.

commit ceb69ae7b7e6440b3c6c44f3e94ee26c3806ac55
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 24 19:34:14 2009 +0000

    implement mouse input.

commit 7b1b3fa690151ff9f17e435ada34ff790c351d74
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 24 14:55:53 2009 +0000

    fix getFrameBufferRegion() for windows.
    
    btw, make some getters return non-const strings.

commit 17c64914f5b02d41e4e864145b108c31f08e9e89
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Sep 23 12:59:20 2009 +0000

    some misc and layout fixes for windows.

commit 5ce48d88acd092e82d8e902725db76d9f3c91d0c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 22 23:26:54 2009 +0000

    split out VNCCanvas class into seperate files.

commit e5937150072b64bd487052551e105031f95d7bc8
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 22 23:11:06 2009 +0000

    change to no-timestamp-mode of wxglade.

commit 3fa2f9f077374d27c6d051d2b46dc8069d09f340
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 22 15:16:54 2009 +0000

    sync withg wxServDisc svn. MDNS lookups are now fast again.

commit c0c252ec6bbdf73516f1c44c4439b70a732e269f
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Sep 20 17:27:56 2009 +0000

    ':' is not allowed in windows filenames.

commit ad3f09eb7fa00a8b44a84f50287923dbe29f63e2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Sep 20 15:03:10 2009 +0000

    work around an issue with wxFileSelector.
    
    this would cause a signal to be generated, which in turn would
    make the WaitforMessage() call fail.

commit cee5d178272a969916324019c0fc028c6996e546
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Sep 20 14:58:12 2009 +0000

    implement screenshot function.

commit 6e13eb6ec9c81fda1dae686f38eef04a0a281503
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Sep 17 14:51:04 2009 +0000

    use remote desktop name instead of hostname.

commit 9d4bc2c44e5ae633b560a8e43c02d4141c954585
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Sep 16 16:22:14 2009 +0000

    some layout fixes.

commit 64a9c22e17dc38e884e5c6fdab7087879c185c00
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Sep 16 15:36:16 2009 +0000

    ladies and gentleman: we have something to see!
    
    implement viewer only functionality.

commit e36d33a2779b31a22c8205a85d88a0cd85f0e7a7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 15 21:36:17 2009 +0000

    add support to specify compresslevel and quality.

commit ee14c9c45e99e9bf9cce472732932a6cc080f3a0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 15 20:05:57 2009 +0000

    fix thinko with update notifies.
    
    before, it would only return the last updated region,
    which obviously is not really what we want...

commit cc61a8f0d10f51cc823a69b4d472e65927a3a6c6
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 15 18:29:27 2009 +0000

    use custom bitmap copy instead of GetSubBitmap().
    
    even on non-windows platforms we have to adjust the alpha
    channel to fully opaque, as libvncclient always sets this
    to zero and therefore fully transparent, i.e. invisible on
    a wxDC.

commit ab604f0e04364aa91a934ec04fa9714c02c05a5a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 15 15:51:44 2009 +0000

    implement handling of multiple connections.

commit 071f123d45a87b5027607a691af967d6058d953d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 15 15:32:04 2009 +0000

    implement getters for server hostname, address and port.

commit fba250964aa8f24578e14aa77ca0aa74447aec91
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 15 13:33:46 2009 +0000

    make framebuffer dump names host specific.

commit 338a0f33169230780df1b05c095902a18d1abd0e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Sep 5 17:33:05 2009 +0000

    wait for thread deletion to finish.

commit b04b4b1b05a9d6bba802be3749d86f3bc4099850
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Sep 5 17:28:47 2009 +0000

    simplify save dialog: use wx builtin overwrite prompt.

commit 760f5f55e90949c65a64583c35df8087895622e2
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Sep 5 16:59:55 2009 +0000

    implement getters for width and height.

commit 90177a290c205a68342b18a8ba133dafa5f261bb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Sep 4 16:57:36 2009 +0000

    implement framebuffer update with proper notification of the main app.

commit 6efe6ea2dabd7c549427b1bfeb547439dc572804
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Sep 2 19:35:06 2009 +0000

    delete service scanner on exit.

commit 9ac1ae757d75b7e9223c2a821062d448503134fb
Author: Christian Beier <dontmind@freeshell.org>
Date:   Wed Sep 2 19:31:42 2009 +0000

    add updated wxServDisc module from http://sourceforge.net/projects/wxservdisc
    
    this includes better debug output and some object deletion fixes.

commit aabcd506205c25e4caad4a054ae477fb43429bb7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 1 15:22:47 2009 +0000

    add another top panel to get rid of grey border under windows.

commit f3e87b77b40d9460c1e03035f68ec661b8e47a62
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 1 12:52:00 2009 +0000

    rework debug config a bit so that it applies to a user given wx-config too.

commit 4a0877b1a168c7f4238fa67618c59e3d2d7929de
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Sep 1 11:31:36 2009 +0000

    change to use stabs debugger format when compiling for windows.
    
    seems gdb under windows mingw only does backtraces with stabs...

commit f59931983ecf599403d864aa1a708d3ba68d7f06
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Aug 29 13:38:52 2009 +0000

    stat() returns 0 on success! should fix bogus IsUnixSocket() return values.

commit 996d64ec5fd2b44533ef8570c8c327f4716e3518
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Aug 28 13:37:27 2009 +0000

    set button id's properly plus some changes to display properly under win32.

commit 063710d47d3ba6fbe3fdac15ad5b5c6da2f67ed7
Author: Christian Beier <dontmind@freeshell.org>
Date:   Fri Aug 28 13:07:13 2009 +0000

    change order of includes. darn windows...

commit d5de2d80352d8cf92aaa2d1ac9a6461aa9fab490
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Aug 27 16:29:42 2009 +0000

    add support for doing debug builds.

commit 1caa50077ba594a3cca4fc19fe6384d5bedc8a62
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Aug 24 14:53:40 2009 +0000

    don't update the gui grom another thread.
    
    we instead post an update event to ourselves. should fix those
    segfaults..

commit f73ced6a77f4a1c2a16e2bc8d6c9195882732530
Author: Christian Beier <dontmind@freeshell.org>
Date:   Mon Aug 24 14:52:06 2009 +0000

    change user info back to 3 lines as this fits into the messagebox.
    
    otherwise the user would have to scroll down to see what happened.

commit b5d43d9fa36c1a7f7b81fc2cbfd0300d9099170d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Aug 22 16:10:57 2009 +0000

    implement proper logging support.

commit f720d6f0fe915040e445c4e74b63a28a513aa9f3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 11 20:53:00 2009 +0000

    make VNCConn::getlog() static.

commit c45ebfb41246c1ff2e867eb27896710a6bb1684a
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 11 20:27:38 2009 +0000

    remove debug output, be more verbose when connection terminates.

commit 882ff4bf9102ff8522a6bf3947a071699389af0c
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 11 20:15:22 2009 +0000

    implement starting/stopping VNC connection. nothing to see yet.

commit eeb52e7283f7b347a1f3d1d8894a8f6eb27d138d
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 11 17:21:27 2009 +0000

    add jpeglib hints to README.

commit 33bb8fa159d7b86fff11cfd77afe6cd6ede7b38e
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 11 16:19:52 2009 +0000

    add some hints how to compile to README.

commit 95aea62840c37ee98ed54ef63d86ffab4e6c18a0
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Aug 6 13:05:17 2009 +0000

    mingw32 compile fixes.

commit da31fa1be86dc48ee7c4e348c9edfd79c47eefc1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Thu Aug 6 13:03:10 2009 +0000

    add some missing checks and macros.

commit 09bf04bd17009b8dedbe232dea87ea57f3467152
Author: Christian Beier <dontmind@freeshell.org>
Date:   Tue Aug 4 14:40:32 2009 +0000

    properly include libvncclient into build system.

commit c86d146003b3f2740c2fca61a40c73b3558fc8d3
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sun Aug 2 18:44:18 2009 +0000

    add libvncclient to source tree.

commit 356996b26c3823b241ed30f9bbf5508ed5e6bd13
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Aug 1 16:49:03 2009 +0000

    some cleanup.

commit a398fa874ba12c28faa0b5fb6816a63c0ccca9e1
Author: Christian Beier <dontmind@freeshell.org>
Date:   Sat Aug 1 16:38:53 2009 +0000

    initial commit. the gui without noteworthy functionality.
